//
//  AdLocusBannerAdapter.h
//  HyxenAdLocusSDK_Adapter_Sample
//
//  Created by HyXen on 14/1/20.
//
//

#import <Foundation/Foundation.h>
#import "HyXenProMeADBannerView.h"
#import "GADCustomEventBanner.h"

@interface AdLocusBannerAdapter : NSObject <HyXenProMeADBannerViewDelegate, GADCustomEventBanner>

@property(nonatomic, assign) id<GADCustomEventBannerDelegate> delegate;
@property (nonatomic, retain) HyXenProMeADBannerView *hyxenBannerView;
@property (nonatomic, retain)  NSString *hyxenAppKey;

- (void)requestBannerAd:(GADAdSize)adSize
               parameter:(NSString *)serverParameter
                   label:(NSString *)serverLabel
                 request:(GADCustomEventRequest *)request;

@end
