//
//  AdLocusInterstitialAdapter.h
//  MediationBannerSample
//
//  Created by Jack on 2014/4/28.
//  Copyright (c) 2014年 HyXen. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "HyxenProMeADInterstitial.h"
#import "GADCustomEventInterstitial.h"

@interface AdLocusInterstitialAdapter : NSObject <HyxenProMeADInterstitialDelegate, GADCustomEventInterstitial>

@property(nonatomic, assign) id<GADCustomEventInterstitialDelegate> delegate;
@property (nonatomic, retain) HyxenProMeADInterstitial *hyxenInterstitialView;
@property (nonatomic, retain) NSString *hyxenAppKey;


- (void)requestInterstitialAdWithParameter:(NSString *)serverParameter
                                     label:(NSString *)serverLabel
                                   request:(GADCustomEventRequest *)request;
- (void)presentFromRootViewController:(UIViewController *)rootViewController;


@end
