//
//  HyxenProMeADInterstitialDelegate.h
//  HyxenAdLocus_SDKSample
//
//  Created by Hyxen on 13/2/1.
//
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>

@class HyxenAdLocusError;

@class HyxenProMeADInterstitial;
//@class HyxenProMeADRequestError;

@protocol HyxenProMeADInterstitialDelegate <NSObject>

@optional

//- (UIViewController *)viewControllerForPresentingModalView;

-(NSString *)hyxenAdInterstitialKey;



//通知已收到廣告
- (void)interstitialDidReceiveAd:(HyxenProMeADInterstitial *)interstitial ;

//通知廣告錯誤或無廣告
- (void)interstitialDidFailToReceiveAd:(HyxenProMeADInterstitial *)interstitial;
//通知廣告錯誤或無廣告
- (void)interstitialDidFailToReceiveAd:(HyxenProMeADInterstitial *)interstitial andError:(HyxenAdLocusError *)error;


#pragma mark behavior configurations
//選擇性，使您的廣告更精準投放
-(CLLocation *)locationInfo;


//選擇性，若您尚在測試請回傳YES
- (BOOL)testMode;


- (NSString *)gender; // user's gender (e.g. @"1" is Male or @"2" is Female)

- (NSNumber *)age;



@end